CREATE TABLE CRST_FA_BOOK_CONTROLS
(
  BOOK_TYPE_CODE                  VARCHAR2(15 BYTE),
  BOOK_TYPE_NAME                  VARCHAR2(30 BYTE),
  SET_OF_BOOKS_ID                 NUMBER(15),
  INITIAL_DATE                    DATE,
  LAST_DEPRN_RUN_DATE             DATE,
  AMORTIZE_FLAG                   VARCHAR2(3 BYTE),
  FULLY_RESERVED_FLAG             VARCHAR2(3 BYTE),
  DEPRN_CALENDAR                  VARCHAR2(15 BYTE),
  BOOK_CLASS                      VARCHAR2(15 BYTE),
  GL_POSTING_ALLOWED_FLAG         VARCHAR2(3 BYTE),
  CURRENT_FISCAL_YEAR             NUMBER(4),
  ALLOW_MASS_CHANGES              VARCHAR2(3 BYTE),
  ALLOW_DEPRN_ADJUSTMENTS         VARCHAR2(3 BYTE),
  ACCOUNTING_FLEX_STRUCTURE       NUMBER(15),
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER(15),
  PRORATE_CALENDAR                VARCHAR2(15 BYTE),
  DATE_INEFFECTIVE                DATE,
  JE_RETIREMENT_CATEGORY          VARCHAR2(30 BYTE),
  JE_DEPRECIATION_CATEGORY        VARCHAR2(30 BYTE),
  JE_RECLASS_CATEGORY             VARCHAR2(30 BYTE),
  GL_JE_SOURCE                    VARCHAR2(30 BYTE),
  JE_ADDITION_CATEGORY            VARCHAR2(30 BYTE),
  JE_ADJUSTMENT_CATEGORY          VARCHAR2(30 BYTE),
  DISTRIBUTION_SOURCE_BOOK        VARCHAR2(15 BYTE),
  JE_TRANSFER_CATEGORY            VARCHAR2(30 BYTE),
  COPY_RETIREMENTS_FLAG           VARCHAR2(3 BYTE),
  COPY_ADJUSTMENTS_FLAG           VARCHAR2(3 BYTE),
  DEPRN_REQUEST_ID                NUMBER(15),
  ALLOW_COST_CEILING              VARCHAR2(3 BYTE),
  ALLOW_DEPRN_EXP_CEILING         VARCHAR2(3 BYTE),
  CALCULATE_NBV                   VARCHAR2(3 BYTE),
  RUN_YEAR_END_PROGRAM            VARCHAR2(3 BYTE),
  JE_DEFERRED_DEPRN_CATEGORY      VARCHAR2(30 BYTE),
  ALLOW_CIP_ASSETS_FLAG           VARCHAR2(3 BYTE),
  ITC_ALLOWED_FLAG                VARCHAR2(3 BYTE),
  CREATED_BY                      NUMBER(15),
  CREATION_DATE                   DATE,
  LAST_UPDATE_LOGIN               NUMBER(15),
  ALLOW_MASS_COPY                 VARCHAR2(3 BYTE),
  ALLOW_PURGE_FLAG                VARCHAR2(3 BYTE),
  ALLOW_REVAL_FLAG                VARCHAR2(3 BYTE),
  AMORTIZE_REVAL_RESERVE_FLAG     VARCHAR2(3 BYTE),
  AP_INTERCOMPANY_ACCT            VARCHAR2(25 BYTE),
  AR_INTERCOMPANY_ACCT            VARCHAR2(25 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  ATTRIBUTE_CATEGORY_CODE         VARCHAR2(30 BYTE),
  CAPITAL_GAIN_THRESHOLD          NUMBER,
  COPY_SALVAGE_VALUE_FLAG         VARCHAR2(3 BYTE),
  COST_OF_REMOVAL_CLEARING_ACCT   VARCHAR2(25 BYTE),
  COST_OF_REMOVAL_GAIN_ACCT       VARCHAR2(25 BYTE),
  COST_OF_REMOVAL_LOSS_ACCT       VARCHAR2(25 BYTE),
  DEFAULT_LIFE_EXTENSION_CEILING  NUMBER,
  DEFAULT_LIFE_EXTENSION_FACTOR   NUMBER,
  DEFAULT_MAX_FULLY_RSVD_REVALS   NUMBER(15),
  DEFAULT_REVAL_FULLY_RSVD_FLAG   VARCHAR2(3 BYTE),
  DEFERRED_DEPRN_EXPENSE_ACCT     VARCHAR2(25 BYTE),
  DEFERRED_DEPRN_RESERVE_ACCT     VARCHAR2(25 BYTE),
  DEPRN_ALLOCATION_CODE           VARCHAR2(1 BYTE),
  DEPRN_STATUS                    VARCHAR2(1 BYTE),
  FISCAL_YEAR_NAME                VARCHAR2(30 BYTE),
  INITIAL_PERIOD_COUNTER          NUMBER(15),
  JE_CIP_ADJUSTMENT_CATEGORY      VARCHAR2(30 BYTE),
  JE_CIP_ADDITION_CATEGORY        VARCHAR2(30 BYTE),
  JE_CIP_RECLASS_CATEGORY         VARCHAR2(30 BYTE),
  JE_CIP_RETIREMENT_CATEGORY      VARCHAR2(30 BYTE),
  JE_CIP_REVAL_CATEGORY           VARCHAR2(30 BYTE),
  JE_CIP_TRANSFER_CATEGORY        VARCHAR2(30 BYTE),
  JE_REVAL_CATEGORY               VARCHAR2(30 BYTE),
  LAST_MASS_COPY_PERIOD_COUNTER   NUMBER(15),
  LAST_PERIOD_COUNTER             NUMBER(15),
  LAST_PURGE_PERIOD_COUNTER       NUMBER(15),
  MASS_COPY_SOURCE_BOOK           VARCHAR2(15 BYTE),
  MASS_REQUEST_ID                 NUMBER(15),
  NBV_AMOUNT_THRESHOLD            NUMBER,
  NBV_FRACTION_THRESHOLD          NUMBER,
  NBV_RETIRED_GAIN_ACCT           VARCHAR2(25 BYTE),
  NBV_RETIRED_LOSS_ACCT           VARCHAR2(25 BYTE),
  PROCEEDS_OF_SALE_CLEARING_ACCT  VARCHAR2(25 BYTE),
  PROCEEDS_OF_SALE_GAIN_ACCT      VARCHAR2(25 BYTE),
  PROCEEDS_OF_SALE_LOSS_ACCT      VARCHAR2(25 BYTE),
  REVALUE_ON_RETIREMENT_FLAG      VARCHAR2(3 BYTE),
  REVAL_DEPRN_RESERVE_FLAG        VARCHAR2(3 BYTE),
  REVAL_POSTING_FLAG              VARCHAR2(3 BYTE),
  REVAL_RSV_RETIRED_GAIN_ACCT     VARCHAR2(25 BYTE),
  REVAL_RSV_RETIRED_LOSS_ACCT     VARCHAR2(25 BYTE),
  DEPRN_ADJUSTMENT_ACCT           VARCHAR2(25 BYTE),
  IMMEDIATE_COPY_FLAG             VARCHAR2(3 BYTE),
  JE_DEPRN_ADJUSTMENT_CATEGORY    VARCHAR2(30 BYTE),
  DEPR_FIRST_YEAR_RET_FLAG        VARCHAR2(3 BYTE),
  FLEXBUILDER_DEFAULTS_CCID       NUMBER(15),
  RETIRE_REVAL_RESERVE_FLAG       VARCHAR2(3 BYTE),
  USE_CURRENT_NBV_FOR_DEPRN       VARCHAR2(3 BYTE),
  COPY_ADDITIONS_FLAG             VARCHAR2(3 BYTE),
  USE_PERCENT_SALVAGE_VALUE_FLAG  VARCHAR2(3 BYTE),
  MC_SOURCE_FLAG                  VARCHAR2(1 BYTE),
  REVAL_YTD_DEPRN_FLAG            VARCHAR2(3 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  ORG_ID                          NUMBER(15),
  DUMMY                           CHAR(1),
  SET_OF_BOOKS_ID_NAME            VARCHAR2(100),
  LAST_UPDATED_NAME               VARCHAR2(100),
  CREATED_NAME                    VARCHAR2(100),
  FLEXBUILDER_DEFAULTS_CCID_D     VARCHAR2(100),
  ORG_NAME                        VARCHAR2(100)
);
